Summary: A GNU stream text editor.
Summary(de): GNU Stream-Text Editor
Name: sed
Version: 3.02
Release: 12mdk
License: GPL
Group: Editors
Source0: ftp://ftp.gnu.org/pub/gnu/sed/sed-%{version}.tar.bz2
Patch0: http://oss.software.ibm.com/developer/opensource/linux/patches/i18n/sed-3.02-i18n-0.2.patch.bz2
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%description -l de
sed (Stream EDitor) ist ein Stream- oder Batch- (nicht-interaktiver)
Editor. Sed nimmt als Eingabe einen Text, fhrt darauf Operationen aus, und
gibt einen vernderten Text aus.
Die Operationen, die sed ausfhrt (Ersetzen, Lschen, Einfgen, usw.) knnen
ber eine Skriptdatei oder ber die Kommandozeile angegeben werden.

%prep
%setup -q
%patch -p1 -b .i18n

%build
%configure
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

( cd $RPM_BUILD_ROOT
  mkdir ./bin
  mv ./usr/bin/sed ./bin/sed
  rmdir ./usr/bin
  rm -f .%{_infodir}/dir
)

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE BUGS NEWS README TODO
/bin/sed 
%{_infodir}/sed.info*
%{_mandir}/man1/sed.1.bz2

%changelog
* Tue May 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.02-12mdk
- s/Copyright/License/;

* Mon Mar 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.02-11mdk
- Apply sed i18n patch (Andrew Lee).

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.02-10mdk
- BM
- let spechelper compress info & manpages
- remove packager tag

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.02-9mdk
- Use makeinstall macros.

* Thu Apr 13 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.02-8mdk
- Changed group, little fixes in the spec.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.02

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.01

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- removed references to the -g option from the man page that we add

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
